# Trait proc_macro_error::OptionExt

source · [−]

    pub trait OptionExt {
        type Some;

        fn expect_or_abort(self, msg: &str) -> Self::Some;
    }

Expand description

This traits expands `Option` with some handy shortcuts.

## Required Associated Types

source

#### type Some

## Required Methods

source

#### fn expect_or_abort(self, msg: &str) -> Self::Some

Behaves like `Option::expect`: if self is `Some` yield the contained value, otherwise abort macro execution via `abort_call_site!`. If it aborts the `message` will be used for `compile_error!` invocation.

## Implementations on Foreign Types

source

### impl<T> OptionExt for Option<T>

#### type Some = T

source

#### fn expect_or_abort(self, message: &str) -> T

## Implementors